net.corda.node.services.persistence

## Class DBTransactionStorage

- net.corda.node.services.persistence.DBTransactionStorage

- All Implemented Interfaces:
    ReadOnlyTransactionStorage, TransactionStorage

      public class DBTransactionStorage
      implements TransactionStorage

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBTransactionStorage()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addTransaction(SignedTransaction transaction)` Add a new transaction to the store. If the store already has a transaction with the same id it will be overwritten.
    `SignedTransaction` | `getTransaction(SecureHash id)` Return the transaction with the given id, or null if no such transaction exists.
    `java.lang.Iterable<net.corda.core.transactions.SignedTransaction>` | `getTransactions()`
    `rx.Observable<net.corda.core.transactions.SignedTransaction>` | `getUpdates()` Get a synchronous Observable of updates. When observations are pushed to the Observer, the vault will already incorporate the update.
    `rx.subjects.SerializedSubject<net.corda.core.transactions.SignedTransaction,net.corda.core.transactions.SignedTransaction>` | `getUpdatesPublisher()`
    `kotlin.Pair<java.util.List,rx.Observable>` | `track()` Returns all currently stored transactions and further fresh ones.

    - ### Methods inherited from interface net.corda.core.node.services.TransactionStorage

      `addTransaction`

    - ### Methods inherited from interface net.corda.core.node.services.ReadOnlyTransactionStorage

      `getTransaction, getUpdates, track`

- - ### Constructor Detail

    - #### DBTransactionStorage

          public DBTransactionStorage()

  - ### Method Detail

    - #### addTransaction

          public boolean addTransaction(SignedTransaction transaction)

      Add a new transaction to the store. If the store already has a transaction with the same id it will be overwritten.

      Parameters:
        `transaction` - The transaction to be recorded.
      Returns:
        true if the transaction was recorded successfully, false if it was already recorded.

    - #### getTransaction

          public SignedTransaction getTransaction(SecureHash id)

      Return the transaction with the given id, or null if no such transaction exists.

    - #### getUpdatesPublisher

          public rx.subjects.SerializedSubject<net.corda.core.transactions.SignedTransaction,net.corda.core.transactions.SignedTransaction> getUpdatesPublisher()

    - #### getUpdates

          public rx.Observable<net.corda.core.transactions.SignedTransaction> getUpdates()

      Get a synchronous Observable of updates. When observations are pushed to the Observer, the vault will already incorporate the update.

    - #### track

          public kotlin.Pair<java.util.List,rx.Observable> track()

      Returns all currently stored transactions and further fresh ones.

    - #### getTransactions

          public java.lang.Iterable<net.corda.core.transactions.SignedTransaction> getTransactions()